
package net.mcreator.lava.item;

import net.minecraftforge.registries.ForgeRegistries;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.ArmorMaterial;
import net.minecraft.world.item.ArmorItem;
import net.minecraft.world.entity.EquipmentSlot;
import net.minecraft.world.entity.Entity;
import net.minecraft.sounds.SoundEvent;
import net.minecraft.resources.ResourceLocation;

import net.mcreator.lava.init.LavaModTabs;

public abstract class IgneousItem extends ArmorItem {
	public IgneousItem(EquipmentSlot slot, Item.Properties properties) {
		super(new ArmorMaterial() {
			@Override
			public int getDurabilityForSlot(EquipmentSlot slot) {
				return new int[]{13, 15, 16, 11}[slot.getIndex()] * 40;
			}

			@Override
			public int getDefenseForSlot(EquipmentSlot slot) {
				return new int[]{10, 10, 10, 10}[slot.getIndex()];
			}

			@Override
			public int getEnchantmentValue() {
				return 10;
			}

			@Override
			public SoundEvent getEquipSound() {
				return ForgeRegistries.SOUND_EVENTS.getValue(new ResourceLocation(""));
			}

			@Override
			public Ingredient getRepairIngredient() {
				return Ingredient.EMPTY;
			}

			@Override
			public String getName() {
				return "igneous";
			}

			@Override
			public float getToughness() {
				return 3f;
			}

			@Override
			public float getKnockbackResistance() {
				return 1f;
			}
		}, slot, properties);
	}

	public static class Helmet extends IgneousItem {
		public Helmet() {
			super(EquipmentSlot.HEAD, new Item.Properties().tab(LavaModTabs.TAB_LAVA_OBSIDION));
		}

		@Override
		public String getArmorTexture(ItemStack stack, Entity entity, EquipmentSlot slot, String type) {
			return "lava:textures/models/armor/obsidion_layer_1.png";
		}
	}

	public static class Chestplate extends IgneousItem {
		public Chestplate() {
			super(EquipmentSlot.CHEST, new Item.Properties().tab(LavaModTabs.TAB_LAVA_OBSIDION));
		}

		@Override
		public String getArmorTexture(ItemStack stack, Entity entity, EquipmentSlot slot, String type) {
			return "lava:textures/models/armor/obsidion_layer_1.png";
		}
	}

	public static class Leggings extends IgneousItem {
		public Leggings() {
			super(EquipmentSlot.LEGS, new Item.Properties().tab(LavaModTabs.TAB_LAVA_OBSIDION));
		}

		@Override
		public String getArmorTexture(ItemStack stack, Entity entity, EquipmentSlot slot, String type) {
			return "lava:textures/models/armor/obsidion_layer_2.png";
		}
	}

	public static class Boots extends IgneousItem {
		public Boots() {
			super(EquipmentSlot.FEET, new Item.Properties().tab(LavaModTabs.TAB_LAVA_OBSIDION));
		}

		@Override
		public String getArmorTexture(ItemStack stack, Entity entity, EquipmentSlot slot, String type) {
			return "lava:textures/models/armor/obsidion_layer_1.png";
		}
	}
}
